if status is-interactive
  # Commands to run in interactive sessions can go here

  fish_add_path --path /usr/sbin /usr/bin /sbin /bin /usr/local/bin /opt/local/bin /opt/local/sbin /usr/local/go/bin $HOME/.local/bin $HOME/.cargo/bin $HOME/.cargo/env $HOME/code/go/bin $HOME/.rbenv

  # Currently using the default $MANPATH; see /etc/man_db.conf

  set --global fish_key_bindings fish_vi_key_bindings

  ## XDG
  set --global --export XDG_CONFIG_HOME "$HOME/.config"
  set --global --export XDG_DATA_HOME "$HOME/.config/local/share"
  set --global --export XDG_CACHE_HOME "$HOME/.config/cache"

  set --global --export EDITOR "vim"
  set --global --export VISUAL "vim"

  # FZF
  set --global --export FZF_DEFAULT_COMMAND "fd --no-ignore --hidden --type f" # Includes hidden files
  set --global --export FZF_CTRL_T_COMMAND "$FZF_DEFAULT_COMMAND"
  fzf_key_bindings

  # bat theme
  set --global --export BAT_THEME OneHalfLight

  # exa colors
  set --global --export LS_COLORS "*.md=36"

  # ddgr
  set --global --export BROWSER w3m
  set --global --export DDGR_COLORS "MBdexy"

  # navi
  set --global --export NAVI_TAG_COLOR 6
  set --global --export NAVI_COMMENT_COLOR 3
  navi widget fish | source

  # starship
  starship init fish | source

  ## zoxide ##
  zoxide init fish | source

end
